Page MenuHomePhabricator

[mlir][NFC] MemRef cleanup: Remove helper functions
ClosedPublic

Authored by springerm on Jun 30 2021, 8:13 PM.

Details

Summary

Remove getDynOperands and createOrFoldDimOp from MemRef.h to decouple MemRef a bit from Tensor. These two functions are used in other dialects/transforms.

Depends On D105256

Diff Detail

Event Timeline

springerm created this revision.Jun 30 2021, 8:13 PM
springerm requested review of this revision.Jun 30 2021, 8:13 PM
nicolasvasilache accepted this revision.Jul 1 2021, 11:56 PM
This revision is now accepted and ready to land.Jul 1 2021, 11:56 PM
This revision was landed with ongoing or failed builds.Jul 4 2021, 6:15 PM
This revision was automatically updated to reflect the committed changes.